Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class HeapAllocator

    java.lang.Object
      org.apache.cassandra.utils.Allocator
          org.apache.cassandra.utils.HeapAllocator

    public final class HeapAllocator

extends Allocator

Field Summary
`static HeapAllocator` | `instance`

Method Summary
`java.nio.ByteBuffer` | `allocate(int size)`

Methods inherited from class org.apache.cassandra.utils.Allocator
`clone`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final HeapAllocator instance

Method Detail

### allocate

    public java.nio.ByteBuffer allocate(int size)

  Specified by:
    `allocate` in class `Allocator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation